# VideoAttributes.VideoPriceType (Crawler-commons 1.3 API)

Package crawlercommons.sitemaps.extension

## Enum VideoAttributes.VideoPriceType

- java.lang.Object
- - java.lang.Enum<VideoAttributes.VideoPriceType>
  - - crawlercommons.sitemaps.extension.VideoAttributes.VideoPriceType

All Implemented Interfaces:
  `Serializable`, `Comparable<VideoAttributes.VideoPriceType>`

Enclosing class:
  VideoAttributes

    public static enum VideoAttributes.VideoPriceType
    extends Enum<VideoAttributes.VideoPriceType>

### Enum Constant Summary

Enum Constants
`own`
`rent`

### Method Summary

All Methods Static Methods Concrete Methods
`static VideoAttributes.VideoPriceType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static VideoAttributes.VideoPriceType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### own

    public static final VideoAttributes.VideoPriceType own

#### rent

    public static final VideoAttributes.VideoPriceType rent

### Method Detail

#### values

    public static VideoAttributes.VideoPriceType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VideoAttributes.VideoPriceType c : VideoAttributes.VideoPriceType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VideoAttributes.VideoPriceType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null